#!/usr/bin/python
"""Distutils installer for Tribunal."""

from distutils.command.install_data import install_data
from distutils.core import setup

class InstallData(install_data):

    def run(self):
        import subprocess
        install_data.run(self)
        subprocess.check_call(['xdg-mime', 'install', 'tribunal-subunit.xml'])
        subprocess.check_call(['xdg-desktop-menu', 'install',
                               'tribunal-subunit.desktop'])



setup(name='tribunal',
      maintainer='Martin Pool',
      maintainer_email='mbp@sourcefrog.net',
      url='https://launchpad.net/tribunal',
      description='A graphical test runner',
      version='0.1.0',
      packages=['tribunal'],
      package_data={'tribunal':
          ['gavel_64x64.png', 'ui.glade']},
      data_files=[
          ('share/application-registry', ['tribunal.applications']),
          ('share/pixmaps', ['tribunal/gavel_64x64.png']),
      ],
      scripts=['tribunal-subunit'],
      classifiers=[
          'Development Status :: 3 - Alpha',
          'Environment :: X11 Applications :: Gnome',
          'Intended Audience :: Developers',
          'License :: OSI Approved :: Apache Software License',
          'Programming Language :: Python :: 2',
          'Topic :: Software Development :: Testing',
      ],
      cmdclass={'install_data': InstallData},
      )
